/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2010, Red Hat, Inc. and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.metadata.merge.javaee.support;

import org.jboss.metadata.javaee.jboss.NamedModule;
import org.jboss.metadata.javaee.support.NamedModuleImpl;

/**
 * Base class for metadata classes that include both a module name and a
 * description group.
 *
 * @author Brian Stansberry
 *
 * @version $Revision$
 */
public abstract class NamedModuleImplMerger extends IdMetaDataImplWithDescriptionGroupMerger {

    public static void merge(NamedModuleImpl dest, NamedModuleImpl override, NamedModuleImpl original) {
        IdMetaDataImplWithDescriptionGroupMerger.merge(dest, override, original);
        mergeModuleName(dest, override, original);
    }

    public static void mergeModuleName(NamedModule dest, NamedModule override, NamedModule original) {
        if (override != null && override.getModuleName() != null)
            dest.setModuleName(override.getModuleName());
        else if (original != null && original.getModuleName() != null)
            dest.setModuleName(original.getModuleName());
    }

}
